#! /bin/sh -e

documents_path=$(xdg-user-dir DOCUMENTS)

cd $(dirname "$0")
ARCH=$(uname -m)

mkdir -p "$HOME/.vst/"
mkdir -p "$documents_path/discoDSP/OB-Xd 3/"


if test $ARCH = x86_64 ; then
	    cp "OB-Xd 3.so" "$HOME/.vst/OB-Xd 3.so"
    else
	    echo "32-bit is not supported."
	    exit 1
    fi

cp -r -n "discoDSP/OB-Xd 3" "$documents_path/discoDSP/"

chmod +x "OB-Xd 3"

echo "Installation finished."
